package com.steering.pss.sale.price.entity;

/**
 * 数据库表SLM_PRICE_BASEFRAME_SET所对应的实体类（生成工具：代码生成器3.0）
 * @author JK-KF-WUHJ   date 2016-04-20
 */
@SuppressWarnings("serial")
public class SlmPriceBaseframeSetEntity implements java.io.Serializable {
    /**
     * 配置框架ID
     */
    private String frameId = "";
    /**
     * 横向X 第一因素
     */
    private String x1FactorId = "";
    /**
     * 横向X 第二因素
     */
    private String x2FactorId = "";
    /**
     * 横向X 第三因素
     */
    private String x3FactorId = "";
    /**
     * 横向X 第四因素
     */
    private String x4FactorId = "";
    /**
     * 横向X 第五因素
     */
    private String x5FactorId = "";
    /**
     * 横向X 第六因素
     */
    private String x6FactorId = "";
    /**
     * 横向X 第七因素
     */
    private String x7FactorId = "";
    /**
     * 横向X 第八因素
     */
    private String x8FactorId = "";
    /**
     * 纵向Y第一因素
     */
    private String y1FactorId = "";
    /**
     * 纵向Y 第二因素
     */
    private String y2FactorId = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * 配置框架ID
     * @return value
     */
    public String getFrameId() {
        return frameId;
    }

    /**
     * 配置框架ID
     * @param frameId value
     */
    public void setFrameId(String frameId) {
        this.frameId = frameId;
    }

    /**
     * 横向X 第一因素
     * @return value
     */
    public String getX1FactorId() {
        return x1FactorId;
    }

    /**
     * 横向X 第一因素
     * @param x1FactorId value
     */
    public void setX1FactorId(String x1FactorId) {
        this.x1FactorId = x1FactorId;
    }

    /**
     * 横向X 第二因素
     * @return value
     */
    public String getX2FactorId() {
        return x2FactorId;
    }

    /**
     * 横向X 第二因素
     * @param x2FactorId value
     */
    public void setX2FactorId(String x2FactorId) {
        this.x2FactorId = x2FactorId;
    }

    /**
     * 横向X 第三因素
     * @return value
     */
    public String getX3FactorId() {
        return x3FactorId;
    }

    /**
     * 横向X 第三因素
     * @param x3FactorId value
     */
    public void setX3FactorId(String x3FactorId) {
        this.x3FactorId = x3FactorId;
    }

    /**
     * 横向X 第四因素
     * @return value
     */
    public String getX4FactorId() {
        return x4FactorId;
    }

    /**
     * 横向X 第四因素
     * @param x4FactorId value
     */
    public void setX4FactorId(String x4FactorId) {
        this.x4FactorId = x4FactorId;
    }

    /**
     * 横向X 第五因素
     * @return value
     */
    public String getX5FactorId() {
        return x5FactorId;
    }

    /**
     * 横向X 第五因素
     * @param x5FactorId value
     */
    public void setX5FactorId(String x5FactorId) {
        this.x5FactorId = x5FactorId;
    }

    /**
     * 横向X 第六因素
     * @return value
     */
    public String getX6FactorId() {
        return x6FactorId;
    }

    /**
     * 横向X 第六因素
     * @param x6FactorId value
     */
    public void setX6FactorId(String x6FactorId) {
        this.x6FactorId = x6FactorId;
    }

    /**
     * 横向X 第七因素
     * @return value
     */
    public String getX7FactorId() {
        return x7FactorId;
    }

    /**
     * 横向X 第七因素
     * @param x7FactorId value
     */
    public void setX7FactorId(String x7FactorId) {
        this.x7FactorId = x7FactorId;
    }

    /**
     * 横向X 第八因素
     * @return value
     */
    public String getX8FactorId() {
        return x8FactorId;
    }

    /**
     * 横向X 第八因素
     * @param x8FactorId value
     */
    public void setX8FactorId(String x8FactorId) {
        this.x8FactorId = x8FactorId;
    }

    /**
     * 纵向Y第一因素
     * @return value
     */
    public String getY1FactorId() {
        return y1FactorId;
    }

    /**
     * 纵向Y第一因素
     * @param y1FactorId value
     */
    public void setY1FactorId(String y1FactorId) {
        this.y1FactorId = y1FactorId;
    }

    /**
     * 纵向Y 第二因素
     * @return value
     */
    public String getY2FactorId() {
        return y2FactorId;
    }

    /**
     * 纵向Y 第二因素
     * @param y2FactorId value
     */
    public void setY2FactorId(String y2FactorId) {
        this.y2FactorId = y2FactorId;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}